## dask.distributed 1.18.0+ds.1

=== requirements.txt ===
tornado >= 4.4
toolz >= 0.7.4
msgpack-python
cloudpickle >= 0.2.2
dask >= 0.14.1
click >= 6.6
six
tblib
psutil
zict >= 0.1.2
sortedcontainers
futures; python_version < '3.0'
singledispatch; python_version < '3.4'

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/distributed.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/distributed.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/distributed"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/distributed"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
dask.distributed (1.18.0+ds.1-1) unstable; urgency=medium

  [ Diane Trout ]
  * New upstream release
  * Update Build-dependencies
    - add python3-sortedcollections
    - set minimum versions for python3-{click,dask,zict}
  * Update tests/control
    - add IPython/Jupyter components so that gets tested

  [ Ghislain Antony Vaillant ]
  * Fixup VCS URIs
  * Fixup filenamemangle regex

  [ Diane Trout ]
  * New upstream version 1.18.0+ds.1
  * Delete unneeded file
  * New upstream release
  * Update build-dependencies
  * Update tests/control with IPython/Jupyter dependencies
  * Upstream unnecessarily marks test runner as executable
  * Add d/rules target to update cached intersphinx inventory files
  * Migrate to git-buildpackage
  * Provide & use downloaded copies of the intersphinx inventory files
  * Recommend python3-yaml as its used for the distributed config files
  * dask-worker needs locale variables set to run in test environment.
  * Install more test dependencies

 -- Diane Trout <diane@ghic.org>  Tue, 01 Aug 2017 14:18:35 -0700

dask.distributed (1.14.3+ds.1-1) unstable; urgency=low

  * Initial packaging. (Closes: 847524)

 -- Diane Trout <diane@ghic.org>  Wed, 07 Dec 2016 10:38:33 -0800

=== debian/control ===
Source: dask.distributed
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: coffeescript,
               debhelper (>= 9),
               dh-python,
               python3-all,
               python3-click (>= 6.6),
               python3-cloudpickle,
               python3-dask (>= 0.14.0),
               python3-locket,
               python3-msgpack,
               python3-numpydoc,
               python3-psutil,
               python3-setuptools,
               python3-six,
               python3-sortedcollections,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-tblib,
               python3-toolz,
               python3-tornado,
               python3-zict (>= 0.1.1)
Standards-Version: 3.9.8
Homepage: https://distributed.readthedocs.io/en/latest/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dask.distributed.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/dask.distributed.git
Testsuite: autopkgtest-pkg-python
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python3-distributed
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-pandas, python3-yaml
Description: Dask Distributed computing for Python 3
 Dask.distributed is a lightweight library for distributed computing in
 Python. It extends both the concurrent.futures and dask APIs to
 moderate sized clusters.
 .
 This contains the Python 3 version

Package: python-distributed-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinnxdoc:Depends}
Description: Dask Distributed computing documentation
 Dask.distributed is a lightweight library for distributed computing in
 Python. It extends both the concurrent.futures and dask APIs to
 moderate sized clusters.
 .
 This contains the documentation

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Wed, 07 Dec 2016 10:38:33 -0800
export PYBUILD_NAME=distributed
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	cd distributed/bokeh/ && coffee -c export_tool.coffee
	chmod a-x distributed/tests/test_utils_test.py
	dh_auto_build
#	ln -s /usr/share/javascript/mathjax docs/source/_static
	PYTHONPATH=. sphinx-build -N -bhtml docs/source build/html # HTML generator

override_dh_auto_clean:
	dh_auto_clean
	-rm distributed/bokeh/export_tool.js
#	-rm docs/source/_static/mathjax

# Update cached intersphinx inventories
update-objects.inv:
	curl -L -o ./debian/python-objects.inv https://docs.python.org/3
	curl -L -o ./debian/numpy-objects.inv https://docs.scipy.org/doc/numpy

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$ADTTMP" ; echo "Testing with $py:"
 ; LC_ALL=C.UTF-8 LANG=C.UTF-8 http_proxy= $py $(which py.test-3) -m "not avoid_travis" /usr/lib/python3/dist-packages/distributed
 ; done
Depends: @,
 python3-dill,
 python3-ipykernel,
 python3-ipython,
 python3-ipywidgets,
 python3-joblib,
 python3-jupyter-client,
 python3-lz4,
 python3-mock,
 python3-netcdf4,
 python3-paramiko,
 python3-pytest,
 python3-pytest-timeout,
 python3-requests,
 python3-scipy,
 python3-tblib,
Restrictions: needs-recommends

## dask.distributed 1.20.2%2Bds.1

=== debian/control ===
--- 
+++ 
@@ -10,24 +10,25 @@
                python3-click (>= 6.6),
                python3-cloudpickle,
                python3-dask (>= 0.14.0),
+               python3-doc <!nodoc>,
                python3-locket,
                python3-msgpack,
+               python-numpy-doc <!nodoc>,
                python3-numpydoc,
                python3-psutil,
                python3-setuptools,
                python3-six,
                python3-sortedcollections,
                python3-sphinx,
-               python3-sphinx-rtd-theme,
+               python3-sphinx-rtd-theme <!nodoc>,
                python3-tblib,
                python3-toolz,
                python3-tornado,
                python3-zict (>= 0.1.1)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://distributed.readthedocs.io/en/latest/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dask.distributed.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/dask.distributed.git
-Testsuite: autopkgtest-pkg-python
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 
@@ -46,7 +47,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinnxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinnxdoc:Depends}, sphinx-rtd-theme-common
 Description: Dask Distributed computing documentation
  Dask.distributed is a lightweight library for distributed computing in
  Python. It extends both the concurrent.futures and dask APIs to

## dask.distributed 1.20.2+ds.1

=== requirements.txt ===
click >= 6.6
cloudpickle >= 0.2.2
dask >= 0.16.0
msgpack-python
psutil
six
sortedcontainers
tblib
toolz >= 0.7.4
tornado >= 4.5.1
zict >= 0.1.3
# Compatibility packages
futures; python_version < '3.0'
singledispatch; python_version < '3.4'

=== docs/requirements.txt ===
tornado
toolz
cloudpickle
dask
numpydoc
sphinx
sphinx_rtd_theme

=== debian/changelog ===
dask.distributed (1.20.2+ds.1-2) unstable; urgency=medium

  * Add patch robustly-close-localcluster.patch and
    extend-to-asyncio.patch.
    - These two patches fix autopkgtests failing because
      of cleanup problems.

 -- Diane Trout <diane@ghic.org>  Thu, 21 Dec 2017 11:27:35 -0800

dask.distributed (1.20.2+ds.1-1) unstable; urgency=medium

  * New upstream release.
  * Add sphinx-rtd-theme-common dependency to
    python-distributed-doc. (Closes: #872224)
  * Use Debian doc packages for intersphinx objects.inv files.
  * Add !nodoc build profile.
  * Update Standards-Version to 4.1.2. No changes needed.
  * Add patch description to use-local-intersphinx-inventory.patch
  * Improve autopkgtest runner
    - copy conftest.py to enable the custom py.test plugins.
    - Add PYTEST_OPTIONS from upstreams travis test runner.
  * Remove now unecessary Testsuite header

 -- Diane Trout <diane@ghic.org>  Thu, 12 Oct 2017 20:56:29 -0700

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Wed, 07 Dec 2016 10:38:33 -0800
export PYBUILD_NAME=distributed

DEB_BUILD_OPTIONS += $(filter nodoc,$(DEB_BUILD_PROFILES))
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	cd distributed/bokeh/ && coffee -c export_tool.coffee
	chmod a-x distributed/tests/test_utils_test.py
	dh_auto_build
#	ln -s /usr/share/javascript/mathjax docs/source/_static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -N -bhtml docs/source build/html # HTML generator
endif

override_dh_auto_clean:
	dh_auto_clean
	-rm distributed/bokeh/export_tool.js
#	-rm docs/source/_static/mathjax

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,11 @@
 Test-Command: set -e
+ ; export LC_ALL=C.UTF-8
+ ; export LANG=C.UTF-8
+ ; export PYTEST_OPTIONS="--verbose -r s --timeout-method=thread --timeout=300 --durations=20"
+ ; cp conftest.py $ADTTMP
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$ADTTMP" ; echo "Testing with $py:"
- ; LC_ALL=C.UTF-8 LANG=C.UTF-8 http_proxy= $py $(which py.test-3) -m "not avoid_travis" /usr/lib/python3/dist-packages/distributed
+ ; http_proxy= $py $(which py.test-3) -m "not avoid_travis" . $ADTTMP /usr/lib/python3/dist-packages/distributed $PYTEST_OPTIONS
  ; done
 Depends: @,
  python3-dill,

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/\+ds.1//,repacksuffix=+ds.1,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dask.distributed-$1.tar.gz%" \
    https://github.com/dask/distributed/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## dask.distributed 1.21.8+ds.1

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 click >= 6.6
 cloudpickle >= 0.2.2
-dask >= 0.16.0
-msgpack-python
+dask >= 0.17.0
+msgpack
 psutil
 six
 sortedcontainers

=== debian/changelog ===
dask.distributed (1.21.8+ds.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Diane Trout ]
  * New upstream version 1.21.8+ds.1
  * Remove extend-to-asyncio and robustly-close-localcluster, applied upstream
  * Use installed copy of source tree for running tests
  * Remove archaic Python version headers
  * Disable ipywidget testing for now, Debian version is too old
  * Update Standards-Version to 4.1.4. No Changes needed.
  * Remove currently unnecessary Python3-Version
  * Update build dependency versions from requirements.txt
  * Don't compress changelog.html so the documentation hyperlinks work
  * Reset permissions on test_utils_test.py
  * Install changelog.rst as the upstream changelog
  * Fix path to numpy documentation package
  * Replace image links in documentation with local copies

 -- Diane Trout <diane@ghic.org>  Sat, 19 May 2018 13:55:19 -0700

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: python
 Priority: optional
 Build-Depends: coffeescript,
-               debhelper (>= 9),
+               debhelper (>= 11),
                dh-python,
                python3-all,
                python3-click (>= 6.6),
-               python3-cloudpickle,
-               python3-dask (>= 0.14.0),
+               python3-cloudpickle (>= 0.2.2),
+               python3-dask (>= 0.17.0),
                python3-doc <!nodoc>,
                python3-locket,
                python3-msgpack,
@@ -22,15 +22,13 @@
                python3-sphinx,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-tblib,
-               python3-toolz,
-               python3-tornado,
-               python3-zict (>= 0.1.1)
-Standards-Version: 4.1.2
+               python3-toolz (>= 0.7.4),
+               python3-tornado (>= 4.5.1),
+               python3-zict (>= 0.1.3)
+Standards-Version: 4.1.4
 Homepage: https://distributed.readthedocs.io/en/latest/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dask.distributed.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/dask.distributed.git
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
+Vcs-Git: https://salsa.debian.org/python-team/modules/dask.distributed.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/dask.distributed
 
 Package: python3-distributed
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,15 @@
 	PYTHONPATH=. sphinx-build -N -bhtml docs/source build/html # HTML generator
 endif
 
+override_dh_compress:
+	dh_compress -Xchangelog.html
+
+override_dh_install:
+	dh_install
+	dh_installchangelogs docs/source/changelog.rst
+
 override_dh_auto_clean:
 	dh_auto_clean
 	-rm distributed/bokeh/export_tool.js
+	-chmod 755 distributed/tests/test_utils_test.py
 #	-rm docs/source/_static/mathjax

=== debian/tests/control ===
Test-Command: set -e
 ; export LC_ALL=C.UTF-8
 ; export LANG=C.UTF-8
 ; export PYTEST_OPTIONS="--verbose -r s --timeout-method=thread --timeout=300 --durations=20"
 ; cp conftest.py $AUTOPKGTEST_TMP
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:"
 ; http_proxy= $py -m pytest -m "not avoid_travis" $PYTEST_OPTIONS --pyargs distributed
 ; done
Depends: @,
 python3-dill,
 python3-ipykernel,
 python3-ipython,
# python3-ipywidgets,
 python3-joblib,
 python3-jupyter-client,
 python3-lz4,
 python3-mock,
 python3-netcdf4,
 python3-paramiko,
 python3-pytest,
 python3-pytest-timeout,
 python3-requests,
 python3-scipy,
 python3-tblib,
Restrictions: needs-recommends

## dask.distributed 1.25.0%2Bds.1

=== debian/changelog ===
dask.distributed (1.25.0+ds.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Diane Trout ]
  * New upstream version 1.25.0+ds.1
  * Add override-worker-test, uses AUTOPKGTEST_TMP to find an expected file
  * Use dpkg-parsechangelog to set versioneer version number
  * Use dask-sphinx-theme instead of sphinx-rtd-theme
  * Refresh patches
  * Remove deprecated needs-recommends and update list of test dependencies
  * Add larger-keys.patch to update x509 keys to 2048 bit/SHA256
  * Skip a few problematic tests
  * Update minimum dask build-depends version

 -- Diane Trout <diane@ghic.org>  Mon, 17 Dec 2018 22:25:37 -0800

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_auto_build
 #	ln -s /usr/share/javascript/mathjax docs/source/_static
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -N -bhtml docs/source build/html # HTML generator
+	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source build/html # HTML generator
 endif
 
 override_dh_compress:

## dask.distributed 1.25.0+ds.1

=== requirements.txt ===
click >= 6.6
cloudpickle >= 0.2.2
dask >= 0.18.0
msgpack
psutil >= 5.0
six
sortedcontainers !=2.0.0, !=2.0.1
tblib
toolz >= 0.7.4
tornado >= 4.5.1
zict >= 0.1.3
# Compatibility packages
futures; python_version < '3.0'
singledispatch; python_version < '3.4'
pyyaml

=== docs/requirements.txt ===
tornado
toolz
cloudpickle
dask
numpydoc
sphinx
dask_sphinx_theme

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all,
                python3-click (>= 6.6),
                python3-cloudpickle (>= 0.2.2),
-               python3-dask (>= 0.17.0),
+               python3-dask (>= 0.18.0),
                python3-doc <!nodoc>,
                python3-locket,
                python3-msgpack,
@@ -20,10 +20,11 @@
                python3-six,
                python3-sortedcollections,
                python3-sphinx,
-               python3-sphinx-rtd-theme <!nodoc>,
+               python3-dask-sphinx-theme <!nodoc>,
                python3-tblib,
                python3-toolz (>= 0.7.4),
                python3-tornado (>= 4.5.1),
+               python3-yaml,
                python3-zict (>= 0.1.3)
 Standards-Version: 4.1.4
 Homepage: https://distributed.readthedocs.io/en/latest/

=== debian/tests/control ===
Test-Command: set -e
 ; export LC_ALL=C.UTF-8
 ; export LANG=C.UTF-8
 ; export PYTEST_OPTIONS="--verbose -r s --timeout-method=thread --timeout=300 --durations=20"
 ; export PYTEST_SKIP_OPTIONS="not (test_adapt or test_scale or test_collections_get or test_statistical_profiling_2 or test_memory_limit_auto or test_serialize_deserialize_sparse_large or test_duplicate_client or test_dont_hold_on_to_large_messages)"
 ; cp conftest.py $AUTOPKGTEST_TMP
 ; cp distributed/tests/mytest.pyz $AUTOPKGTEST_TMP
 ; cp distributed/tests/testegg-1.0.0-py3.4.egg $AUTOPKGTEST_TMP
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:"
 ; http_proxy= $py -m pytest -m "not avoid_travis" -k "$PYTEST_SKIP_OPTIONS"  $PYTEST_OPTIONS --pyargs distributed
 ; done
Depends: @,
 python3-dill,
 python3-h5py,
 python3-ipykernel,
 python3-ipython,
# python3-ipywidgets,
 python3-joblib,
 python3-jupyter-client,
 python3-keras,
 python3-lz4,
 python3-mock,
 python3-netcdf4,
 python3-pandas,
 python3-paramiko,
 python3-pytest,
 python3-pytest-timeout,
 python3-requests,
 python3-scipy,
 python3-sklearn,
 python3-sparse,
 python3-tblib,

## dask.distributed 2.10.0+ds.1

=== debian/changelog ===
dask.distributed (2.10.0+ds.1-3) unstable; urgency=medium

  * Disable test_idle_timeout as test failed in buildd

 -- Diane Trout <diane@ghic.org>  Sun, 01 Mar 2020 17:25:58 -0800

dask.distributed (2.10.0+ds.1-2) unstable; urgency=medium

  * Remove python3-pynvml as a build dependency as it's platorm specific

 -- Diane Trout <diane@ghic.org>  Sat, 29 Feb 2020 19:48:37 -0800

dask.distributed (2.10.0+ds.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Diane Trout ]
  * New upstream release
  * Update Standards-Version. No changes needed.
  * Upstream changed location of embedded javascript export_tool.js file
  * Require python3-dask 2.9.0
  * Use pytest and add additional dependencies for build time tests
  * Add python3-sphinx-click build dependency for doc generation
  * Update minimum tornado version to 5
  * Refresh patches
  * Update paths to build export_tool.js
  * Help the pytest collector avoid collecting test utilities
  * add pytest timeout as one test doesn't exit on its own
  * Skip running tests that fail in debian build environment
  * Use youtube-nocookie for videos to at least minimize the privacy leak
  * Skip tests that fail in autopkgtest
  * Only fail if tests fail, py.test has a non-zero exit code on exceptions
    which sometimes happens during test shutdown
  * Import the readable prebuilt version of anime.js into missing-sources and
    build a minified version
  * Import the readable prebuilt version of reconnecting-websocket.js and
    build the minified version
  * Add dh_fixperms to fix a .ico marked executable

 -- Diane Trout <diane@ghic.org>  Thu, 27 Feb 2020 19:56:13 -0800

=== debian/control ===
--- 
+++ 
@@ -4,29 +4,36 @@
 Section: python
 Priority: optional
 Build-Depends: coffeescript,
-               debhelper (>= 11),
+               debhelper-compat (= 11),
                dh-python,
                python3-all,
                python3-click (>= 6.6),
                python3-cloudpickle (>= 0.2.2),
-               python3-dask (>= 0.18.0),
+               python3-dask (>= 2.9.0),
                python3-doc <!nodoc>,
                python3-locket,
                python3-msgpack,
+               python3-numpy <!nocheck>,
                python-numpy-doc <!nodoc>,
                python3-numpydoc,
+               python3-pandas <!nocheck>,
                python3-psutil,
+               python3-pytest,
+               python3-pytest-asyncio,
+               python3-pytest-timeout,
                python3-setuptools,
                python3-six,
                python3-sortedcollections,
                python3-sphinx,
+               python3-sphinx-click,
                python3-dask-sphinx-theme <!nodoc>,
                python3-tblib,
                python3-toolz (>= 0.7.4),
-               python3-tornado (>= 4.5.1),
+               python3-tornado (>= 5),
                python3-yaml,
-               python3-zict (>= 0.1.3)
-Standards-Version: 4.1.4
+               python3-zict (>= 0.1.3),
+               uglifyjs,
+Standards-Version: 4.4.1
 Homepage: https://distributed.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/modules/dask.distributed.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/dask.distributed

=== debian/rules ===
#!/usr/bin/make -f

NETWORK_TESTS=test_defaults or \
  test_local_tls or \
  test_default_client_server_ipv6 or \
  test_tcp_client_server_ipv6 or \
  test_register_backend_entrypoint or \
  test_remote_access or \
  test_dashboard_link or \
  test_multiple_workers or \
  test_interface or \
  test_scheduler_port_zero or \
  test_preload_file or \
  test_preload_module or \
  test_preload_command or \
  test_nanny_report or \
  test_nanny_worker_ports or \
  test_server_listen or \
  test_idle_timeout
GPU_TESTS=test_gpu_metrics
COMMAND_TESTS=test_separate_key_cert or \
  test_hostport or \
  test_no_dashboard or \
  test_dashboard or \
  test_nanny or \
  test_basic or \
  test_worker_class or \
  test_integer_names or \
  test_respect_host_listen_address or \
  test_contact_listen_address or \
  test_nprocs_expands_name or \
  test_nprocs_requires_nanny or \
  test_scheduler_address_env or \
  test_scheduler_file or \
  test_local_directory or \
  test_use_config_file or \
  test_no_nanny or \
  test_pid_file or \
  test_shutdown or \
  test_duplicate_clients or \
  test_repr or \
  test_get_versions


export PYBUILD_NAME=distributed
export PYBUILD_TEST_ARGS=-v --ignore=distributed/utils_test.py \
  --ignore=distributed/deploy/utils_test.py \
  --timeout=300 \
  -k 'not ($(NETWORK_TESTS) or $(GPU_TESTS) or $(COMMAND_TESTS) or test_version_option or test_text or test_file or test_performance_report or test_memory_limit or test_resources or test_upload_file_egg or test_process_time or test_dont_steal_unknown_functions or test_adapt_down)'

export NEEDED_JS=distributed/dashboard/static/js/anime.js \
                 distributed/dashboard/static/js/reconnecting-websocket.js
DEB_BUILD_OPTIONS += $(filter nodoc,$(DEB_BUILD_PROFILES))
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	rm distributed/comm/tests/__init__.py
	cd distributed/dashboard/ && coffee -c export_tool.coffee
	for p in ${NEEDED_JS}; do \
	    uglifyjs -o $$p debian/missing-sources/$$p ; \
	done
	chmod a-x distributed/tests/test_utils_test.py
	dh_auto_build
#	ln -s /usr/share/javascript/mathjax docs/source/_static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source build/html # HTML generator
endif
	dh_fixperms

override_dh_compress:
	dh_compress -Xchangelog.html

override_dh_install:
	dh_install
	dh_installchangelogs docs/source/changelog.rst

override_dh_auto_clean:
	touch distributed/comm/tests/__init__.py
	dh_auto_clean
	-rm distributed/dashboard/export_tool.js
	-rm $(NEEDED_JS)
	-chmod 755 distributed/tests/test_utils_test.py

=== debian/tests/control ===
Test-Command: set -e
 ; export LC_ALL=C.UTF-8
 ; export LANG=C.UTF-8
 ; export PYTEST_OPTIONS="--verbose -r s --timeout-method=thread --timeout=300 --durations=20"
 ; export SKIP_NETWORK="test_defaults or test_dashboard_address or test_respect_host_listen_address or test_contact_listen_address or test_preload_file or test_preload_module or test_preload_command or test_preload_command_default or test_local_tls"
 ; export PYTEST_SKIP_OPTIONS="not (test_adapt or test_scale or test_collections_get or test_statistical_profiling_2 or test_memory_limit_auto or test_serialize_deserialize_sparse_large or test_duplicate_client or test_dont_hold_on_to_large_messages or test_logging_file_config or test_performance_report or test_remote_access or $SKIP_NETWORK)"
 ; cp conftest.py $AUTOPKGTEST_TMP
 ; cp distributed/tests/mytest.pyz $AUTOPKGTEST_TMP
 ; cp distributed/tests/testegg-1.0.0-py3.4.egg $AUTOPKGTEST_TMP
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ;   echo "Testing with $py:"
 ;   http_proxy= $py -m pytest -m "not avoid_travis" -k "$PYTEST_SKIP_OPTIONS"  $PYTEST_OPTIONS --pyargs distributed 2>&1 || true
 ;   ERR=$?
 ;   echo Error code $ERR
 ;   if [ -e $AUTOPKGTEST_TMP/.pytest_cache/v/cache/ -a \! -e $AUTOPKGTEST_TMP/.pytest_cache/v/cache/lastfailed ]
 ;   then echo Tests passed; true
 ;   else echo Tests failed; false
 ;   fi
 ; done
Depends: @,
 python3-dill,
 python3-h5py,
 python3-ipykernel,
 python3-ipython,
# python3-ipywidgets,
 python3-joblib,
 python3-jupyter-client,
 python3-keras,
 python3-lz4,
 python3-mock,
 python3-netcdf4,
 python3-pandas,
 python3-paramiko,
 python3-pytest,
 python3-pytest-timeout,
 python3-requests,
 python3-scipy,
 python3-sklearn,
 python3-sparse,
 python3-tblib,

## dask.distributed 2021.01.0+ds.1

=== requirements.txt ===
click >= 6.6
cloudpickle >= 1.5.0
contextvars;python_version<'3.7'
dask>=2020.12.0
msgpack >= 0.6.0
psutil >= 5.0
sortedcontainers !=2.0.0, !=2.0.1
tblib >= 1.6.0
toolz >= 0.8.2
tornado >= 5;python_version<'3.8'
tornado >= 6.0.3;python_version>='3.8'
zict >= 0.1.3
pyyaml
setuptools

=== docs/requirements.txt ===
numpydoc
tornado
toolz
cloudpickle
dask>=2020.12.0
sphinx
dask-sphinx-theme>=1.3.5
sphinx-click

=== debian/changelog ===
dask.distributed (2021.01.0+ds.1-2.1+deb11u1) bullseye; urgency=medium

  * Apply pass-host-to-local-cluster.patch. Resolves CVE-2021-42343
  * Add python3.9-compatibility.patch. Fixes cannot import name 'Popen'
    from partially initialized module 'multiprocessing.popen_spawn_posix'

 -- Diane Trout <diane@ghic.org>  Sat, 27 Nov 2021 11:29:20 -0800

dask.distributed (2021.01.0+ds.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix removing tests that fail under some
    circumstances. (Closes: #987816)
  * python-distributed-doc: Fix broken symlink to html5shiv.min.js,
    dh_link needs absolute paths. (Closes: #988675)

 -- Adrian Bunk <bunk@debian.org>  Tue, 13 Jul 2021 19:19:56 +0300

dask.distributed (2021.01.0+ds.1-2) unstable; urgency=medium

  * Add fall-back-to-ipv6-localhost.patch to work around ipv6 networking
    issues on Debian's test infrastructure.

 -- Diane Trout <diane@ghic.org>  Mon, 01 Feb 2021 12:08:19 -0800

dask.distributed (2021.01.0+ds.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release. (Closes: #954507, 955772)
  * Refresh patches.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Declare Rules-Requires-Root: no.
  * "set -e" for shell loops in debian/rules.
  * Upstream renamed directories containing .min.js, update Files-Excluded,
    debiar/rules, debian/missing-sources.
  * Bump python3-dask Build-Dep to >= 2020.12.0, following upstream.
  * Explicitly specify the test directory, to avoid incorrect auto-detection.
  * Patch: Support pytest-asyncio >= 0.14.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Diane Trout ]
  * Fix typo in python-distributed-doc Depends line
  * link html5shiv.min.js into _static (Closes: #959550)
  * Add use-local-favicon.patch to avoid privacy leak
  * Mark tests that require installation for easier skipping by adding
    debian/patches/mark-test-require-installation.patch (Closes: #954507)
  * Mark test that requires bokeh for easier skipping by adding
    debian/patches/mark-test-requires-bokeh.patch
  * There were still a few tests that didn't work in the buildd
  * Remove lists of tests to skip in the autopkgtests since they all run
  * Refresh patches
  * Update patch descriptions and forwarded flag if missing
  * Update to debhelper-compat 13
  * Update path in d/copyright to missing javascript sources
  * Update minimum build-dep versions for cloudpickle and toolz
  * Make sure the favicon.ico file is not marked executable
  * Make sure dask-worker-space directories created by tests are not
    present in package
  * Disable a few tests at build time
  * Try running the autopkgtests with unrestricted networking

 -- Diane Trout <diane@ghic.org>  Sat, 30 Jan 2021 22:55:04 -0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: dask.distributed
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
 Build-Depends: coffeescript,
-               debhelper-compat (= 11),
+               debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-click (>= 6.6),
-               python3-cloudpickle (>= 0.2.2),
-               python3-dask (>= 2.9.0),
+               python3-cloudpickle (>= 1.5.0),
+               python3-dask (>= 2020.12.0),
                python3-doc <!nodoc>,
                python3-locket,
                python3-msgpack,
@@ -28,15 +28,16 @@
                python3-sphinx-click,
                python3-dask-sphinx-theme <!nodoc>,
                python3-tblib,
-               python3-toolz (>= 0.7.4),
+               python3-toolz (>= 0.8.2),
                python3-tornado (>= 5),
                python3-yaml,
                python3-zict (>= 0.1.3),
                uglifyjs,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://distributed.readthedocs.io/en/latest/
-Vcs-Git: https://salsa.debian.org/python-team/modules/dask.distributed.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/dask.distributed
+Vcs-Git: https://salsa.debian.org/python-team/packages/dask.distributed.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/dask.distributed
+Rules-Requires-Root: no
 
 Package: python3-distributed
 Architecture: all
@@ -53,7 +54,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinnxdoc:Depends}, sphinx-rtd-theme-common
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Dask Distributed computing documentation
  Dask.distributed is a lightweight library for distributed computing in
  Python. It extends both the concurrent.futures and dask APIs to

=== debian/rules ===
#!/usr/bin/make -f


SKIP=test_upload_file_egg or \
     test_web_preload or \
     test_dont_overlap_communications_to_same_worker or \
     test_share_communication or \
     test_robust_to_bad_sizeof_estimates or \
     test_broken_worker_during_computation or \
     test_profile_server or \
     test_feed_large_bytestring or \
     test_steal_expensive_data_slow_computation

export PYBUILD_NAME=distributed
export PYBUILD_TEST_ARGS=distributed/tests -v \
  --ignore=distributed/deploy/utils_test.py \
  --ignore=distributed/utils_test.py \
  --timeout=300 \
  -m "not (avoid_travis and isinstalled and slow)" -k "not ( $(SKIP) )"

export NEEDED_JS=distributed/http/static/js/anime.js \
                 distributed/http/static/js/reconnecting-websocket.js
DEB_BUILD_OPTIONS += $(filter nodoc,$(DEB_BUILD_PROFILES))
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	rm -f distributed/comm/tests/__init__.py
	cd distributed/dashboard/ && coffee -c export_tool.coffee
	set -e; \
	for p in ${NEEDED_JS}; do \
	    uglifyjs -o $$p debian/missing-sources/$$p ; \
	done
	chmod a-x distributed/tests/test_utils_test.py
	dh_auto_build
#	ln -s /usr/share/javascript/mathjax docs/source/_static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source build/html # HTML generator
endif
	dh_fixperms

override_dh_compress:
	dh_compress -Xchangelog.html

override_dh_install:
	dh_install
	dh_installchangelogs docs/source/changelog.rst

override_dh_auto_install:
	dh_auto_install
	dh_link
	find debian/ -name *.ico -exec chmod a-x {} \;
	rm -rf debian/python3-distributed/usr/lib/python3*/dist-packages/dask-worker-space

override_dh_auto_clean:
	touch distributed/comm/tests/__init__.py
	dh_auto_clean
	-rm distributed/dashboard/export_tool.js
	-rm $(NEEDED_JS)
	-chmod 755 distributed/tests/test_utils_test.py

=== debian/tests/control ===
Test-Command: set -e
 ; export LC_ALL=C.UTF-8
 ; export LANG=C.UTF-8
 ; export PYTEST_OPTIONS="--verbose -r s --timeout-method=thread --timeout=300 --durations=20"
 ; cp conftest.py $AUTOPKGTEST_TMP
 ; cp distributed/tests/mytest.pyz $AUTOPKGTEST_TMP
 ; cp distributed/tests/testegg-1.0.0-py3.4.egg $AUTOPKGTEST_TMP
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ;   echo "Testing with $py:"
 ;   $py -m pytest -m "not avoid_travis" $PYTEST_OPTIONS --pyargs distributed 2>&1 || true
 ;   ERR=$?
 ;   echo Error code $ERR
 ;   if [ -e $AUTOPKGTEST_TMP/.pytest_cache/v/cache/ -a \! -e $AUTOPKGTEST_TMP/.pytest_cache/v/cache/lastfailed ]
 ;   then echo Tests passed; true
 ;   else echo Tests failed; false
 ;   fi
 ; done
Depends: @,
 python3-dill,
 python3-h5py,
 python3-ipykernel,
 python3-ipython,
# python3-ipywidgets,
 python3-joblib,
 python3-jupyter-client,
 python3-keras,
 python3-lz4,
 python3-mock,
 python3-netcdf4,
 python3-pandas,
 python3-paramiko,
 python3-pytest,
 python3-pytest-timeout,
 python3-requests,
 python3-scipy,
 python3-sklearn,
 python3-sparse,
 python3-tblib,
Restrictions: needs-internet

## dask.distributed 2022.01.0%2Bds.1

=== requirements.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 click >= 6.6
 cloudpickle >= 1.5.0
-contextvars;python_version<'3.7'
-dask>=2020.12.0
+dask == 2022.01.0
+jinja2
 msgpack >= 0.6.0
+packaging >= 20.0
 psutil >= 5.0
 sortedcontainers !=2.0.0, !=2.0.1
 tblib >= 1.6.0

=== debian/tests/control ===
--- 
+++ 
@@ -2,13 +2,17 @@
  ; export LC_ALL=C.UTF-8
  ; export LANG=C.UTF-8
  ; export PYTEST_OPTIONS="--verbose -r s --timeout-method=thread --timeout=300 --durations=20"
- ; cp conftest.py $AUTOPKGTEST_TMP
- ; cp distributed/tests/mytest.pyz $AUTOPKGTEST_TMP
+ ; if [ -z "$AUTOPKGTEST_NORMAL_USER" ]; then export AUTOPKGTEST_NORMAL_USER=nobody ; fi
+ ; cp setup.cfg conftest.py $AUTOPKGTEST_TMP
  ; cp distributed/tests/testegg-1.0.0-py3.4.egg $AUTOPKGTEST_TMP
+ ; chown $AUTOPKGTEST_NORMAL_USER $AUTOPKGTEST_TMP
+ ; cp -r distributed/tests /usr/lib/python3/dist-packages/distributed/
+ ; SKIP_TESTS=test_gather_failing_cnn_error
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ;   echo "Testing with $py:"
- ;   $py -m pytest -m "not avoid_travis" $PYTEST_OPTIONS --pyargs distributed 2>&1 || true
+ ;   echo "Using user: $AUTOPKGTEST_NORMAL_USER"
+ ;   runuser -u $AUTOPKGTEST_NORMAL_USER -- $py -m pytest -m "not (avoid_travis or slow or flaky)" -k "not ( $SKIP_TEST )" $PYTEST_OPTIONS --pyargs distributed  2>&1 || true
  ;   ERR=$?
  ;   echo Error code $ERR
  ;   if [ -e $AUTOPKGTEST_TMP/.pytest_cache/v/cache/ -a \! -e $AUTOPKGTEST_TMP/.pytest_cache/v/cache/lastfailed ]
@@ -16,7 +20,10 @@
  ;   else echo Tests failed; false
  ;   fi
  ; done
+ ; rm -rf /usr/lib/python3/dist-packages/distributed/tests
+Restrictions: needs-internet, needs-root
 Depends: @,
+ python3-cryptography,
  python3-dill,
  python3-h5py,
  python3-ipykernel,
@@ -37,4 +44,3 @@
  python3-sklearn,
  python3-sparse,
  python3-tblib,
-Restrictions: needs-internet

## dask.distributed 2022.01.0+ds.1

=== docs/requirements.txt ===
numpydoc
tornado
toolz
cloudpickle
git+https://github.com/dask/dask
sphinx
dask-sphinx-theme>=2
sphinx-click

=== debian/changelog ===
dask.distributed (2022.01.0+ds.1-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches
  * Add python-pandas-doc to Build-Depends to build documentation
  * Remove pass-host-to-local-cluster.patch applied upstream
  * Disable pytest-asyncio-0.14.patch, set-client-asyncronous-earlier.patch
    seem to be unneeded.

 -- Diane Trout <diane@ghic.org>  Sat, 19 Feb 2022 16:23:23 -0800

dask.distributed (2021.09.1+ds.1-3) unstable; urgency=medium

  * add set-client-asyncronous-earlier.patch to work around a race condition
    found by debian CI.
  * Add python-3.10-loop.patch, to improve Python 3.10 compatibility. The
    the loop parameter was removed from 3.10 high level asyncio API
  * Skip test_gather_failing_cnn_error in CI tests to avoid a timeout error.

 -- Diane Trout <diane@ghic.org>  Sun, 16 Jan 2022 11:56:02 -0800

dask.distributed (2021.09.1+ds.1-2) unstable; urgency=medium

  * Apply pass-host-to-local-cluster.patch. Resolves CVE-2021-42343

 -- Diane Trout <diane@ghic.org>  Thu, 11 Nov 2021 13:28:18 -0800

dask.distributed (2021.09.1+ds.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update Standards-Version. No changes needed.
  * Bump python3-dask build dependency version.
  * fix invalid profile name.
  * Indicate patch forward status.

 -- Diane Trout <diane@ghic.org>  Fri, 08 Oct 2021 19:19:50 -0700

dask.distributed (2021.08.1+ds.1-1) unstable; urgency=medium

  * New upstream release
  * Test depends on python3-cryptography
  * Refresh patches
  * Add skip-bokeh-tests.patch to skip a test with obscure bokeh
    dependency
  * Add skip-directory-test-when-root.patch there's a test that
    fails if accidently run with root privileges
  * distributed no longer installs tests.
    - pass path to test directory for build time.
    - copy tests into installed directory for autopkgtests
  * No longer includes coffeescript code
  * Skip flaky tests too
  * Run autopkgtests as unprivleded users after needing root for setup

 -- Diane Trout <diane@ghic.org>  Fri, 27 Aug 2021 23:12:07 -0700

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: coffeescript,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-click (>= 6.6),
                python3-cloudpickle (>= 1.5.0),
-               python3-dask (>= 2020.12.0),
+               python3-cryptography <!nocheck>,
+               python3-dask (>= 2021.09.1),
                python3-doc <!nodoc>,
                python3-locket,
                python3-msgpack,
@@ -17,6 +17,7 @@
                python-numpy-doc <!nodoc>,
                python3-numpydoc,
                python3-pandas <!nocheck>,
+               python-pandas-doc <!nodoc>,
                python3-psutil,
                python3-pytest,
                python3-pytest-asyncio,
@@ -33,7 +34,7 @@
                python3-yaml,
                python3-zict (>= 0.1.3),
                uglifyjs,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://distributed.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/dask.distributed.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dask.distributed

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,11 @@
      test_steal_expensive_data_slow_computation
 
 export PYBUILD_NAME=distributed
-export PYBUILD_TEST_ARGS=distributed/tests -v \
+export PYBUILD_TEST_ARGS=$(CURDIR)/distributed/tests -v \
   --ignore=distributed/deploy/utils_test.py \
   --ignore=distributed/utils_test.py \
   --timeout=300 \
-  -m "not (avoid_travis and isinstalled and slow)" -k "not ( $(SKIP) )"
+  -m "not (avoid_travis or isinstalled or slow or flaky)" -k "not ( $(SKIP) )"
 
 export NEEDED_JS=distributed/http/static/js/anime.js \
                  distributed/http/static/js/reconnecting-websocket.js
@@ -28,7 +28,6 @@
 override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	rm -f distributed/comm/tests/__init__.py
-	cd distributed/dashboard/ && coffee -c export_tool.coffee
 	set -e; \
 	for p in ${NEEDED_JS}; do \
 	    uglifyjs -o $$p debian/missing-sources/$$p ; \
@@ -57,6 +56,5 @@
 override_dh_auto_clean:
 	touch distributed/comm/tests/__init__.py
 	dh_auto_clean
-	-rm distributed/dashboard/export_tool.js
 	-rm $(NEEDED_JS)
 	-chmod 755 distributed/tests/test_utils_test.py
